slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDLanczosSetOneSide

Indicate if the variant of the Lanczos method to be used is one-sided or two-sided.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDLanczosSetOneSide(SVD svd,PetscBool oneside)

Logically Collective

### Input Parameters

| svd | - singular value solver
| oneside | - boolean flag indicating if the method is one-sided or not

### Options Database Key

| -svd_lanczos_oneside <boolean> | - Indicates the boolean flag

### Note

By default, a two-sided variant is selected, which is sometimes slightly more robust. However, the one-sided variant is faster because it avoids the orthogonalization associated to left singular vectors. It also saves the memory required for storing such vectors.

### See Also

SVDTRLanczosSetOneSide()

### Level

advanced

### Location

src/svd/impls/lanczos/gklanczos.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages